- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
WP6CharacterGroup_FontFaceChangeSubGroup Class Reference

`#include <WP6CharacterGroup.h>`

Inheritance diagram for WP6CharacterGroup_FontFaceChangeSubGroup:

## Public Member Functions
| WP6CharacterGroup_FontFaceChangeSubGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned short sizeDeletable)
| ~WP6CharacterGroup_FontFaceChangeSubGroup ()
void | parse (WP6Listener *listener, const unsigned char numPrefixIDs, unsigned short const *prefixIDs) const
Public Member Functions inherited from WP6VariableLengthGroup_SubGroup
virtual | ~WP6VariableLengthGroup_SubGroup ()

## Private Member Functions
| WP6CharacterGroup_FontFaceChangeSubGroup (const WP6CharacterGroup_FontFaceChangeSubGroup &)
WP6CharacterGroup_FontFaceChangeSubGroup & | operator= (const WP6CharacterGroup_FontFaceChangeSubGroup &)

## Private Attributes
unsigned short | m_oldMatchedPointSize
unsigned short | m_hash
unsigned short | m_matchedFontIndex
unsigned short | m_matchedFontPointSize
WP6FontDescriptorPacket * | m_packet

## Constructor & Destructor Documentation

WP6CharacterGroup_FontFaceChangeSubGroup::WP6CharacterGroup_FontFaceChangeSubGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned short | sizeDeletable
| ) |  |

WP6CharacterGroup_FontFaceChangeSubGroup::~WP6CharacterGroup_FontFaceChangeSubGroup | ( |  | ) |

WP6CharacterGroup_FontFaceChangeSubGroup::WP6CharacterGroup_FontFaceChangeSubGroup | ( | const WP6CharacterGroup_FontFaceChangeSubGroup & |  | ) |
| private

## Member Function Documentation

WP6CharacterGroup_FontFaceChangeSubGroup& WP6CharacterGroup_FontFaceChangeSubGroup::operator= | ( | const WP6CharacterGroup_FontFaceChangeSubGroup & |  | ) |
| private

void WP6CharacterGroup_FontFaceChangeSubGroup::parse | ( | WP6Listener * | listener,
|  | const unsigned char | numPrefixIDs,
|  | unsigned short const * | prefixIDs
| ) |  | const
| virtual

Implements WP6VariableLengthGroup_SubGroup.

## Member Data Documentation

unsigned short WP6CharacterGroup_FontFaceChangeSubGroup::m_hash
| private

Referenced by WP6CharacterGroup_FontFaceChangeSubGroup().

unsigned short WP6CharacterGroup_FontFaceChangeSubGroup::m_matchedFontIndex
| private

Referenced by WP6CharacterGroup_FontFaceChangeSubGroup().

unsigned short WP6CharacterGroup_FontFaceChangeSubGroup::m_matchedFontPointSize
| private

Referenced by parse(), and WP6CharacterGroup_FontFaceChangeSubGroup().

unsigned short WP6CharacterGroup_FontFaceChangeSubGroup::m_oldMatchedPointSize
| private

Referenced by WP6CharacterGroup_FontFaceChangeSubGroup().

WP6FontDescriptorPacket* WP6CharacterGroup_FontFaceChangeSubGroup::m_packet
| private

Referenced by parse(), WP6CharacterGroup_FontFaceChangeSubGroup(), and ~WP6CharacterGroup_FontFaceChangeSubGroup().

The documentation for this class was generated from the following files:

- WP6CharacterGroup.h
- WP6CharacterGroup.cpp